Version 6.7.7 Source

Table Name: `tabCost Center`

Track separate Income and Expense for product verticals or divisions.

### Fields

Sr | Fieldname | Type | Label | Options
--- | --- | --- | --- | ---
1 | `sb0` | Section Break |  |
2 | `cost_center_name` | Data | Cost Center Name |
3 | `parent_cost_center` | Link | Parent Cost Center | Cost Center
4 | `company` | Link | Company | Company
5 | `cb0` | Column Break |  |
6 | `is_group` | Check | Is Group |
7 | `sb1` | Section Break | Budget Define Budget for this Cost Center. To set budget action, see "Company List" |
8 | `distribution_id` | Link | Distribution Id Select Monthly Distribution, if you want to track based on seasonality. | Monthly Distribution
9 | `budgets` | Table | Budgets Add rows to set annual budgets on Accounts. | Budget Detail
10 | `lft` | Int | lft |
11 | `rgt` | Int | rgt |
12 | `old_parent` | Link | old_parent | Cost Center

### Controller

#### erpnext.accounts.doctype.cost_center.cost_center

### Class CostCenter

Inherits from frappe.utils.nestedset.NestedSet

after_rename (self, olddn, newdn, merge=False)

No docs

autoname (self)

No docs

before_rename (self, olddn, newdn, merge=False)

No docs

check_gle_exists (self)

No docs

check_if_child_exists (self)

No docs

convert_group_to_ledger (self)

No docs

convert_ledger_to_group (self)

No docs

validate (self)

No docs

validate_accounts (self)

No docs

validate_mandatory (self)

No docs

#### Linked In:

- Company
- Cost Center
- Delivery Note Item
- GL Entry
- Item
- Item Group
- Journal Entry Account
- POS Profile
- Project
- Purchase Invoice
- Purchase Invoice Item
- Purchase Receipt Item
- Purchase Taxes and Charges
- Sales Invoice
- Sales Invoice Item
- Sales Taxes and Charges
- Shipping Rule
- Stock Entry Detail
- Stock Reconciliation